Subject: s2ibis2 and Multiple PWR/GND defination

From: [email-masked]
Date: Thu, 11 Dec 97 15:07:42 PST

Hi,

I am using s2ibis2.sun4.fix on HSPICE for a 3.3V device.
If you look at the s2i file below(extracted), I have multiple
Power and Ground pins(Pin: 1,3,4,5,6,7)

..s2i file:
-------------
|Pin  Spice_node   signal    model_name  R_pin L_pin C_pin
|-------------------------------------------------------
[Pin]
1     VSSIO         GND        GND
2     PAD         lvttl        lvttl 
-> SIGO EOE
SIGO SIGO   input  dummy1
EOE  EOE    enable dummy2
3     VDDIO          PWR      POWER
4     VDDESD         PWR      POWER    
5     VSS          GND        GND
6     VDD            PWR      POWER
7     GND          GND        GND
|
--------------------------------------------------------

But my s2ibis2 generated .spi file shows only connection to
VDDIO and VSSIO. 

Ques#1:
How do I know if my other Power and Ground
nodes are connected to the proper level ?

..spi file:
--------------------------
VOUTS2I PAD 0 DC 0
VCCS2I VDDIO 0 DC 3.3	<--------- for VDDIO
VGNDS2I VSSIO 0 DC 0	<--------- for VSSIO
VENAS2I EOE 0 DC 3.3
VINS2I SIGO 0 DC 3.3
.TEMP 27
.OPTIONS INGOLD=2
.DC VOUTS2I -3.3 6.6 0.1
.PRINT DC I(VOUTS2I)
.END
---------------------------

This netlist is also having DC convergence problems above 5.4V.
I could edit the spi file to sweep only upto 5.4V and manually
extract out the V/I datapoints and then extrapolate the data
to the end range(2Vcc). It will be a very tough process considering
the number of buffer types and all the V/I datapoints for each
buffer.

Ques#2:
Is there anyway I can control the sweep range within my s2i file ?

Regards,
Syed.